package com.usky.fire.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.common.core.bean.CommonPage;
import com.usky.fire.domain.PatrolInspectionAttendance;
import com.usky.fire.service.PatrolInspectionAttendanceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


/**
 * <p>
 * 签到、签退信息记录表 前端控制器
 * </p>
 *
 * @author fu
 * @since 2024-02-05
 */
@RestController
@RequestMapping("/patrolInspectionAttendance")
public class PatrolInspectionAttendanceController {
    @Autowired
    private PatrolInspectionAttendanceService patrolInspectionAttendanceService;
    /**
     * 分页查询签到记录
     * @param
     * @param
     * @return
     */
    @GetMapping("/pageQuery")
    public ApiResult<CommonPage<PatrolInspectionAttendance>> pageQuery(@RequestBody String requestBody) {
        return ApiResult.success(patrolInspectionAttendanceService.pageList(requestBody));
    }

    /**
     * 新增
     * @param patrolInspectionAttendance
     * @return
     */
    @PostMapping("/add")
    public ApiResult<Void> add(@RequestBody PatrolInspectionAttendance patrolInspectionAttendance){
        patrolInspectionAttendanceService.add(patrolInspectionAttendance);
        return ApiResult.success();
    }
}

